package _VisualDVM.TestingSystem.SAPFOR.SapforTask;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.StatusEnum;
public enum ComparisonState implements StatusEnum {
    Unknown,
    NotMatch,
    Match;
    public String getDescription() {
        switch (this) {
            case Unknown:
                return "неизвестно";
            case Match:
                return "совпадений";
            case NotMatch:
                return "различий";
            default:
                return "?";
        }
    }
    @Override
    public VisualiserFonts getFont() {
        switch (this) {
            case Unknown:
                return VisualiserFonts.UnknownState;
            case Match:
                return VisualiserFonts.GoodState;
            case NotMatch:
                return VisualiserFonts.BadState;
            default:
                return StatusEnum.super.getFont();
        }
    }
}
